com.avaya.ccs.api

## Interface DestinationI

-     public interface DestinationI

  The `DestinationI` object represents a potential destination for an `InteractionI` as configured in AACC/ACCS or POM.

  Examples of destinations are agents, skillsets, POM contacts etc. See `DestinationType` for more details on destination types.

  Destinations are used in transfers, conferences, callbacks, POM destinations, and other scenarios as needed.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DestinationCallType` | `getDestinationCallType()`
    `DestinationType` | `getDestinationType()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getNumber()`
    `Presence` | `getPresence()` The `Presence` for the destination if it is available or `Presence.Unknown` if it is not.
    `InteractionState` | `getState()` The current `InteractionState` of the destination if it is available or `InteractionState.Unknown` if it is not.
    `java.lang.String` | `getTimezone()` A string representation of the timezone association with the destination if it is available.
    `void` | `setCallbackTypeSpecified(boolean callbackTypeSpecified)`
    `void` | `setCallType(DestinationCallType callType)`
    `void` | `setName(java.lang.String name)`
    `void` | `setNumber(java.lang.String number)`
    `void` | `setPomZone(java.lang.String pomZone)`
    `void` | `setPresence(Presence presence)`
    `void` | `setTimezone(java.lang.String timezone)`
    `void` | `setType(DestinationType type)`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns:
        the name of the destination

    - #### getNumber

          java.lang.String getNumber()

      Returns:
        the number of the destination

    - #### getTimezone

          java.lang.String getTimezone()

      A string representation of the timezone association with the destination if it is available. This is not available for `DestinationI` objects of type `DestinationType.External`
      Returns:
        a string representing the timezone of the destination if it is available, "Unknown" if it is not.

    - #### getState

          InteractionState getState()

      The current `InteractionState` of the destination if it is available or `InteractionState.Unknown` if it is not. This is not available for `DestinationI` objects of type `DestinationType.External`
      Returns:
        the `InteractionState` of the destination if it is available or `InteractionState#Unknown` if it is not

    - #### getPresence

          Presence getPresence()

      The `Presence` for the destination if it is available or `Presence.Unknown` if it is not. This is not available for `DestinationI` objects of type `DestinationType.External`
      Returns:
        the presence for the destination if it is available or `Presence.Unknown` if it is not

    - #### getDestinationType

          DestinationType getDestinationType()

      Returns:
        the type of this destination

    - #### getDestinationCallType

          DestinationCallType getDestinationCallType()

      Returns:
        the type of call that this destination is to be used for

    - #### setCallType

          void setCallType(DestinationCallType callType)

    - #### setType

          void setType(DestinationType type)

    - #### setName

          void setName(java.lang.String name)

    - #### setNumber

          void setNumber(java.lang.String number)

    - #### setTimezone

          void setTimezone(java.lang.String timezone)

    - #### setPresence

          void setPresence(Presence presence)

    - #### setPomZone

          void setPomZone(java.lang.String pomZone)

    - #### setCallbackTypeSpecified

          void setCallbackTypeSpecified(boolean callbackTypeSpecified)